egdata API
API ReferenceItems

Resolve the best offer for multiple items

Returns an object keyed by requested item ID. Each value is the best matching offer or null when no offer can be resolved.

POST
/items/bulk/offers

Returns an object keyed by requested item ID. Each value is the best matching offer or null when no offer can be resolved.

Query Parameters

locale?string

Exact BCP-47-style locale used to overlay localized public offer text fields. Defaults to en-US.

Request Body

application/json

Item IDs to resolve.

TypeScript Definitions

Use the request body type in TypeScript.

items*array<string>

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/items/bulk/offers" \  -H "Content-Type: application/json" \  -d '{    "items": [      "string"    ]  }'
{  "property1": {    "id": "string",    "namespace": "string",    "title": "string",    "description": "string",    "longDescription": "string",    "offerType": "string",    "developerDisplayName": "string",    "publisherDisplayName": "string",    "seller": {      "id": "string",      "name": "string"    },    "tags": [      {}    ],    "offerMappings": [      {}    ],    "productSlug": "string",    "urlSlug": "string",    "url": "string",    "keyImages": [      {        "type": "string",        "url": "http://example.com",        "width": 0,        "height": 0      }    ],    "price": {      "offerId": "string",      "region": "string",      "price": {        "currencyCode": "string",        "originalPrice": 0,        "discountPrice": 0,        "discount": 0      },      "updatedAt": "2019-08-24T14:15:22Z"    },    "releaseDate": "2019-08-24T14:15:22Z",    "lastModifiedDate": "2019-08-24T14:15:22Z",    "locale": "es-ES",    "localeStatus": "canonical",    "canonicalLocale": "en-US",    "localization": {      "source": "string",      "fetchedAt": "2019-08-24T14:15:22Z",      "sourceUpdatedAt": "2019-08-24T14:15:22Z"    }  },  "property2": {    "id": "string",    "namespace": "string",    "title": "string",    "description": "string",    "longDescription": "string",    "offerType": "string",    "developerDisplayName": "string",    "publisherDisplayName": "string",    "seller": {      "id": "string",      "name": "string"    },    "tags": [      {}    ],    "offerMappings": [      {}    ],    "productSlug": "string",    "urlSlug": "string",    "url": "string",    "keyImages": [      {        "type": "string",        "url": "http://example.com",        "width": 0,        "height": 0      }    ],    "price": {      "offerId": "string",      "region": "string",      "price": {        "currencyCode": "string",        "originalPrice": 0,        "discountPrice": 0,        "discount": 0      },      "updatedAt": "2019-08-24T14:15:22Z"    },    "releaseDate": "2019-08-24T14:15:22Z",    "lastModifiedDate": "2019-08-24T14:15:22Z",    "locale": "es-ES",    "localeStatus": "canonical",    "canonicalLocale": "en-US",    "localization": {      "source": "string",      "fetchedAt": "2019-08-24T14:15:22Z",      "sourceUpdatedAt": "2019-08-24T14:15:22Z"    }  }}
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}